<?php

namespace TreeType\Typography\Action;

/**
 * Test class for CapitalizeFirstLetter.
 * Generated by PHPUnit on 2012-09-12 at 09:59:59.
 * @group typography
 */
class CapitalizeFirstLetterTest extends \PHPUnit_Framework_TestCase
{
    /** @var CapitalizeFirstLetter */
    private $object;
    private $punctuation;

    protected function setUp()
    {
        $this->punctuation = array('.', '!', '?', '…');
        $this->object = new CapitalizeFirstLetter();
    }

    public function testModify()
    {
        foreach ($this->punctuation as $punctuation) {
            parent::assertEquals("První{$punctuation} Třetí", $this->object->modify("První{$punctuation}třetí"));
            parent::assertEquals("First{$punctuation} Second", $this->object->modify("First{$punctuation} second"));
            // no modification between numbers
            if ($punctuation != '…') {
                parent::assertEquals("First{$punctuation}{$punctuation}", $this->object->modify("First{$punctuation}{$punctuation}"));
                parent::assertEquals("20{$punctuation}5", $this->object->modify("20{$punctuation}5"));
                parent::assertEquals("20{$punctuation}second", $this->object->modify("20{$punctuation}second"));
            }
        }
    }
}
